<?php 
// if( defined('TRIBE_EVENTS_FILE') ):

$edumodo_archive_title_typo = get_theme_mod('edumodo_archive_title_typo',[]);
$edumodo_event_archive_title_margin = get_theme_mod('edumodo_event_archive_title_margin',[]);
# event archive color 
$edumodo_event_archive_content_color = get_theme_mod('edumodo_event_archive_content_color',[]);
$edumodo_event_archive_meta_color = get_theme_mod('edumodo_event_archive_meta_color',[]);
$edumodo_event_archive_date_color = get_theme_mod('edumodo_event_archive_date_color',[]);
$edumodo_event_archive_date_bg_color = get_theme_mod('edumodo_event_archive_date_bg_color',[]);
$edumodo_event_archive_price_color = get_theme_mod('edumodo_event_archive_price_color',[]);
# event single
$edumodo_event_single_title = get_theme_mod('edumodo_event_single_title',[]);
$edumodo_event_single_title_margin = get_theme_mod('edumodo_event_single_title_margin',[]);
$edumodo_event_single_image_margin = get_theme_mod('edumodo_event_single_image_margin',[]);
$edumodo_event_single_meta_color = get_theme_mod('edumodo_event_single_meta_color',[]);

$event_archive_typo_selector = [
	'.tribe-events-calendar-list__event-title  a', '.tribe-events-calendar-list__event-title  a:visited'
];
$event_single_typo_selector = [
	'.tribe_events-template-default h1.tribe-events-single-event-title'
];
?>
<style id="edumodo-event-style">
    <?php 
		edumodo_typography_parser_without_font_family($edumodo_archive_title_typo, edumodo_parse_selector_as_string($event_archive_typo_selector));
		edumodo_typography_parser_without_font_family($edumodo_event_single_title, edumodo_parse_selector_as_string($event_single_typo_selector));

		# archive event archive title type
			if( !empty( $edumodo_event_archive_title_margin ) ): ?>
				.tribe-events-calendar-list__event-title {margin: <?php echo $edumodo_event_archive_title_margin['top'].' ' .$edumodo_event_archive_title_margin['right'].' ' .$edumodo_event_archive_title_margin['bottom'].' ' .$edumodo_event_archive_title_margin['left']; ?> !important;}
			<?php endif;
		# end of archive title

		
		# event archive color 
			if( !empty( $edumodo_event_archive_content_color ) ): ?>
				.post-type-archive-tribe_events .tribe-events-calendar-list__event-description{color: <?php echo $edumodo_event_archive_content_color; ?>;}
			<?php endif;
			if( !empty( $edumodo_event_archive_meta_color ) ): ?>
				.post-type-archive-tribe_events .tribe-events-calendar-list__event-datetime-wrapper, .post-type-archive-tribe_events .tribe-events-calendar-list__event-venue {color: <?php echo $edumodo_event_archive_meta_color; ?>;}
			<?php endif;
			if( !empty( $edumodo_event_archive_date_color ) ): ?>
				.post-type-archive-tribe_events .tribe-events-calendar-list__event-date-tag-weekday, .post-type-archive-tribe_events .tribe-events-calendar-list__event-date-tag-daynum{color: <?php echo $edumodo_event_archive_date_color; ?> !important ;}
			<?php endif;
			if( !empty( $edumodo_event_archive_date_bg_color ) ): ?>
				.post-type-archive-tribe_events .tribe-events-calendar-list__event-date-tag-datetime{background-color: <?php echo $edumodo_event_archive_date_bg_color; ?> !important;}
			<?php endif;
			if( !empty( $edumodo_event_archive_price_color ) ): ?>
				.post-type-archive-tribe_events .tribe-events-c-small-cta__price{color: <?php echo $edumodo_event_archive_price_color; ?>;}
			<?php endif;
		# end of event archive color

		# event single color 
			if( !empty( $edumodo_event_single_title_margin ) ): ?>
				.tribe_events-template-default h1.tribe-events-single-event-title {margin-bottom: <?php echo $edumodo_event_single_title_margin['bottom']; ?> !important;}
			<?php endif;
			if( !empty( $edumodo_event_single_image_margin ) ): ?>
				.tribe_events-template-default .single-event-featured-image {margin-top: <?php echo $edumodo_event_single_image_margin['top'] ; ?>;}
				.tribe_events-template-default .single-event-featured-image {margin-bottom: <?php echo $edumodo_event_single_image_margin['bottom']; ?>;}
			<?php endif;
			if( !empty( $edumodo_event_single_meta_color ) ): ?>
				.tribe_events-template-default .tribe-events-schedule h2 span {color: <?php echo $edumodo_event_single_meta_color; ?>;}
			<?php endif;
        # end of event archive color
    ?>
    
</style>
<?php 
// endif;
?>